package com.yh.saas.plugin.yiliangyiyun.controller;


import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.*;
import com.yh.saas.plugin.yiliangyiyun.service.ISalesDeliveryReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 销售出库报表 前端控制器
 * </p>
 *
 * @author Gongdc
 * @since 2021-08-05
 */
@RestController
@RequestMapping("/salesDeliveryReport")
public class SalesDeliveryReportController {
    @Autowired
    private ISalesDeliveryReportService salesDeliveryReportService;
    /**
     * 销售出库统计列表
     * @param salesDeliveryReport
     * @return
     */
    @GetMapping("/selectSalesDeliveryReport")
    public Page<SalesDeliveryReport> selectPurchaseOrder(SalesDeliveryReport salesDeliveryReport){
        return salesDeliveryReportService.selectSalesDeliveryReport(salesDeliveryReport);
    }

    /**
     * 出纳收款
     * @param salesDeliveryReport
     * @return
     */
    @PostMapping("/api/collectMoney")
    public String collectMoney(@RequestBody SalesDeliveryReport salesDeliveryReport){
        return salesDeliveryReportService.collectMoney(salesDeliveryReport);
    }
    /**
     * 开发票
     * @param salesDeliveryReport
     * @return
     */
    @PostMapping("/api/openInvoice")
    public String openInvoice(@RequestBody SalesDeliveryReport salesDeliveryReport) {
        return salesDeliveryReportService.openInvoice(salesDeliveryReport);
    }
    /**
     * 批量开发票
     * @param salesDeliveryReport
     * @return
     */
    @PostMapping("/api/openInvoiceList")
    public String openInvoiceList(@RequestBody SalesDeliveryReport salesDeliveryReport) {
        return salesDeliveryReportService.openInvoiceList(salesDeliveryReport);
    }
    /**
     * 最终结算价
     * @param salesDeliveryReport
     * @return
     */
    @PostMapping("/api/editSalesDeliveryReport")
    public String editSalesDeliveryReport(@RequestBody SalesDeliveryReport salesDeliveryReport){
        return salesDeliveryReportService.editSalesDeliveryReport(salesDeliveryReport);
    }

    /**
     * 审核销售出库报表
     * @param salesDeliveryReport
     * @return
     */
    @PostMapping("/api/examineSalesDeliveryReport")
    public String examineSalesDeliveryReport(@RequestBody SalesDeliveryReport salesDeliveryReport){
        return salesDeliveryReportService.examineSalesDeliveryReport(salesDeliveryReport);
    }
    /**
     * 合同编号下拉列表
     * @param compId
     * @return
     */
    @GetMapping("/selectContractNoList")
    public List<ContractManagementInfo> selectContractNoList(String compId) {
        return salesDeliveryReportService.selectContractNoList(compId);
    }
    /**
     * 查销售订单表
     * @param salesDeliveryReport
     */
    @GetMapping("/selectOrder")
    public SaleOrder selectOrder(SalesDeliveryReport salesDeliveryReport){
        return salesDeliveryReportService.selectOrder(salesDeliveryReport);
    }
    /**
     * 查看
     */
    @GetMapping("/getInfo")
    public SalesDeliveryReport getInfo(@RequestParam String id) {
        return salesDeliveryReportService.getInfo(id);
    }
}

